/*
--------------------------------------
Containers
--------------------------------------
*/

.main-footer__container {
	position: relative;
	font-family: var(--e-global-typography-primary-font-family);
	background: linear-gradient(103deg, #011030 33.51%, #00184C 100%);
	overflow: hidden;
}

.main-footer__container:after {
	position: absolute;
	top: 0;
	left: -18%;
	content: url(/wp-content/uploads/2025/08/watermark-footer.png);
}

.main-footer__container .main-footer__inner {
	display: flex;
	flex-direction: column;
	row-gap: 20px;
	max-width: 95%;
	padding: calc(28px + (48 - 28) * ((100vw - 320px) / (1920 - 320))) 0;
	margin: auto;
}

/*
--------------------------------------
Logo & text & info
--------------------------------------
*/

.main-footer__info-container {
	display: flex;
	flex-direction: column;
	align-items: center;
	row-gap: 20px;
	padding-bottom: calc(46px + (96 - 46) * ((100vw - 320px) / (1920 - 320)));
}

/*Logo*/

.main-footer__container .footer-logo {
	display: flex;
	flex-direction: column;
	row-gap: 1em;
}

.main-footer__container .footer-logo .footer-logo__img {
	width: 100%;
	max-width: 200px;
}

/*Text*/

.main-footer__container .footer-text {
	font-family: var(--e-global-typography-secondary-font-family);
	font-size: calc(20px + (50 - 20) * ((100vw - 320px) / (1920 - 320)));
	font-weight: 500;
	color: #fff;
	line-height: 125%;
	text-align: center;
	max-width: 65%;
}

/*Info */

.main-footer__container .footer-info {
	padding-top: 20px;
}

/*
--------------------------------------
Menu
--------------------------------------
*/

.main-footer__links-container {
	position: relative;
	z-index: 3;
}

/*Titre*/

.main-footer__container .footer-links__title {
	padding-bottom: 0.5em;
}

.main-footer__container .footer-links__title .footer-links__title-text {
	font-size: 20px;
	font-weight: 700;
	color: #fff;
	text-transform: uppercase;
}

/*Liens*/

.main-footer__container .footer-links__list ul {
	line-height: 185%;
}

.main-footer__container .footer-links__list .menu-item__address {
	line-height: 1.5;
	padding-bottom: 2em;
}

.main-footer__container .footer-links__list .menu-link {
	position: relative;
	font-size: 16px;
	font-weight: 500;
	color: #fff;
	transition: color 0.35s ease-in-out;
	text-decoration: none;
}

.main-footer__container .footer-links__list .menu-link::after {
	content: "";
	position: absolute;
	left: 0;
	bottom: -2px;
	width: 100%;
	height: 1px;
	background: linear-gradient(to right, #fff, #aaa);
	transform: scaleX(0);
	transform-origin: left;
	transition: transform 0.35s ease-in-out;
}

.main-footer__container .footer-links__list .menu-link:hover::after,
.main-footer__container .footer-links__list .menu-link:focus::after {
	transform: scaleX(1);
}


/*
--------------------------------------
Copyright
--------------------------------------
*/

.main-footer__copyright {
	border-top: 1px solid rgba(255, 255, 255, 0.20);
}

.footer-copyright__inner {
	display: flex;
	max-width: 95%;
	padding: 1em 0;
	margin: auto;
}

.footer-copyright__text {
	color: #fff;
	text-align: center;
}